Subject: RE: bug#2949: 23.0.92; font-info incompatible across Emacs versions

From: "Drew Adams" <[email-masked]>
Date: Sat, 11 Apr 2009 10:43:52 -0700

> > In Emacs 20, `font-info' returns an array like this: ...
> > In Emacs 22 and later, it returns an array like this: ...
> > This breaks any code that tries to use the result with 
> > different Emacs versions.
> 
> So.... what exactly do you want to happen?
> 
> The two formats look easy enough to distinguish.  Since the change
> occurred in 22, it's been widely released, so obviously 3rd-party code
> simply has to be prepared to deal with it (if they care about 21 and
> older versions), and there's little point in changing it back now.

I guess nothing can be done.

But I do wonder why CHARSET was dropped from both `font-info' and
`describe-font'. There seems to be nothing about this in NEWS (e.g. for Emacs
22). Is the character set no longer meaningful? useful? appropriate?
discoverable?